/**
   Compare this with 1-thread-vs-function.c
*/
public class Thread_vs_function_1_ver2
{
   public static void main(String[] args)
   {
      Thread1 t1 = new Thread1();
      Thread2 t2 = new Thread2();

      t1.run();
      t2.run();

      System.err.println("All done (thread id " + Thread.currentThread().getId() + ").");
      return;
   }
}


class Thread1 extends Thread
{
   public void run()
   {
      System.err.print("hello ");
      try
      {
         Thread.sleep(1000);
      }
      catch (InterruptedException e){e.getMessage();}
      System.err.println("from thread " + this.getId() + "!\n");
      return;
   }
}


class Thread2 extends Thread
{
   public void run()
   {
      System.err.print("HELLO ");
      try
      {
         Thread.sleep(1000);
      }
      catch (InterruptedException e){e.getMessage();}
      System.err.println("FROM THREAD " + this.getId() + "!\n");
      return;
   }
}
