/**
   Compare this with 7-manyThreads.c
*/

public class Threads_Many
{
   private static final int N = 3; // number of threads

   public static void main(String[] args)
   {
      // Create N threads.
      for (int i = 0; i < N; i++)
      {
         Function f = new Function((char)('a'+i));
         Thread t = new Thread( f );
         t.start();
      }
   }
}


// This Runnable class can be used to create
// an arbitrary number of "identical" threads.
class Function implements Runnable
{
   public char myChar;

   Function (char arg)
   {
      this.myChar = arg;
   }

   public void run()
   {
      while(true)
      {
         System.out.printf("%c", myChar);
      }
   }
}