/**
    Compare this with 8-orphanThread.c

    This program starts up one thread that repeatedly
    prints a single character to standard output. Then
    the main thread exits, leaving just the second
    thread running forever (by itself).

    In some threading frameworks, if the main thread
    exits, then all the other threads in the process
    are also stoped.
*/

public class Threads_Orphan
{
   public static void main(String[] args)
   {
      System.out.println("Starting child thread.");
      // create thread
      Function f = new Function();
      Thread t = new Thread( f );
      t.start();
      System.out.println("Stopping main thread.");
      //return;
      //System.exit(0);
   }
}


class Function implements Runnable
{
   public void run()
   {
      while(true)
      {
         System.out.print("a");
      }
   }
}